### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.filters.ansi`

Filters for processing ANSI colors within Jinja templates.

## 4 Functions

`IPython.nbconvert.filters.ansi.``strip_ansi`(source)

  Remove ansi from text

  Parameters:

  source : str

  > Source to remove the ansi from

`IPython.nbconvert.filters.ansi.``ansi2html`(text)

  Conver ansi colors to html colors.

  Parameters:

  text : str

  > Text containing ansi colors to convert to html

`IPython.nbconvert.filters.ansi.``single_ansi2latex`(code)

  Converts single ansi markup to latex format

  Return latex code and number of open brackets.

`IPython.nbconvert.filters.ansi.``ansi2latex`(text)

  Converts ansi formated text to latex version

  based on https://bitbucket.org/birkenfeld/sphinx-contrib/ansi.py

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »